CentOS 6.8 刪除用不到的 Repository (適用於CentOS 7)

人就是一種經常後悔的動物,有時候就是想刪除某些之前為了安裝某套軟體而安裝的Repository!
像是CentOS版本是6.x,可是卻誤裝了EPEL Repository 7.x,因為版本不相容,這將會造成整個yum install/update/…,連執行yum指令都會跳出錯誤訊息!
範例情境:我的CentOS 6.8 安裝到EPEL 7,所以我要刪除EPEL 7!
本文章會用CentOS 6.8 來示範(此做法適用於CentOS 7)

延伸閱讀:CentOS 7 安裝EPEL Repository 入門教學!

Step 1

確認需要刪除的Repository的設定檔

設定檔路徑在『/etc/yum.repos.d/』

Step 2

查詢Repository全名

譬如我今天想要刪除EPEL的Repository
首先,使用『rpm -qf repository設定檔路徑』查詢Repository全名!

Step 3

移除Repository

贊助廣告

確定本版後,移除Repository

Step 4

清除Repository快取

沒清除快取可能會導致系統誤判唷!

1.  先切換到yum快取資料夾中

2. 清除快取資料夾(欲清除的資料夾名稱會以Repository名稱命名或類似)

Step 5

更新yum

大功告成!更新時應該不會再出現錯誤了!

Andy Wang

站在巨人的肩膀上仍須戰戰兢兢!

發表迴響

這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料